## washngo 2.12.0.1

=== debian/changelog ===
washngo (2.12.0.1-4) unstable; urgency=low

  * Run ghc6 without active timer (+RTS -V0 -RTS). Should work around
    http://hackage.haskell.org/trac/ghc/ticket/4074 on slow arches. Negative
    side effects not known (yet).  

 -- Joachim Breitner <nomeata@debian.org>  Mon, 28 Jun 2010 10:32:17 +0200

washngo (2.12.0.1-3) unstable; urgency=low

  * Prevent -prof files from being installed in -dev (Closes: #581574)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 14 May 2010 16:29:47 +0200

washngo (2.12.0.1-2) unstable; urgency=low

  * Depend on libghc6-ghc-paths-dev (Closes: #581247)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 12 May 2010 10:21:14 +0200

washngo (2.12.0.1-1) unstable; urgency=low

  * Same upstream code, but packaged and published on cabal.
  * Adopt by the Debian Haskell Group, redo packaging. (Closes: #570284)
  * Package builds again (Closes: #553233, #560584, #522462)
  * Documentation is shipped (Closes: #368647)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 08 May 2010 23:59:40 +0200

washngo (2.12-7) unstable; urgency=low

  * Orphaning this package.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 15:30:37 -0600

washngo (2.12-6) unstable; urgency=high

  * Rebuilding for new GHC.
  * Ack NMU.  Closes: #502758.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 10:26:16 -0600

washngo (2.12-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add dh_haskell_depends to debian/rules (fix by Chris Lamb).
    Closes: #502758.

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 26 Oct 2008 17:48:02 +0000

washngo (2.12-5) unstable; urgency=low

  * The Debian diff.gz didn't note the deleteion of Setup.lhs.
    Make sure that happens in debian/rules.  Closes: #468935.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 02 Mar 2008 07:59:34 -0600

washngo (2.12-4) unstable; urgency=low

  * Lots of build system changes to make sure the package gets
    registered in GHC and builds like a more normal package.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 28 Feb 2008 06:48:32 -0600

washngo (2.12-3) unstable; urgency=low

  * Added build-deps on libghc6-regex-compat-dev and libghc6-parsec-dev.
    Closes: #465032.
  * Changed VCS lines in debian/control to new format and updated
    for Git.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 26 Feb 2008 21:38:16 -0600

washngo (2.12-2) unstable; urgency=low

  * Update for GHC 6.8.  Closes: #460377.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 30 Jan 2008 01:41:51 -0600

washngo (2.12-1) unstable; urgency=medium

  * New upstream release.
  * Modify Makefile to explicitly compile Setup.lhs.  Closes: #431843.
  * Redo build system so ghci is not required for build.
    Requires haskell-devscripts >= 0.5.19.  Closes: #431843.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 22 Oct 2007 09:31:30 -0500

washngo (2.10-1) unstable; urgency=low

  * New upstream release
  * Rebuild for newer GHC 6.6.1.  Closes: #427320.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Jun 2007 15:18:29 -0500

washngo (2.9-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GHC 6.6 and fix uninstallable of libghc6-wash-dev
    (Closes: #394655):
    - Setup.hs: updated for Cabal 1.1.6
    - WASH.cabal: drop the Depends on text-any.
    - WASH/CGI/GuaranteedCGI.hs: remove duplicate "," which caused a parse
      error.
    - WASH/CGI/SubmitXX: add -fallow-undecidable-instances to allow some
      illegal instance declarations.
    - debian/control: bump Build-Depends on ghc6.
  * debian/changelog: converted to UTF-8.
  * debian/libghc6-wash-dev.doc-base: declare a valid Section and fix the
    path to the HTML files.
  * debian/manpage.sgml.ex: removed.
  * debian/rules: remove config.log and config.status on clean.
  
 -- Arjan Oosting <arjan@debian.org>  Tue, 31 Oct 2006 00:52:11 +0100

washngo (2.9-4) unstable; urgency=low

  * Compile Setup.lhs to Setup instead of using runghc.  Closes: #377245.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  7 Jul 2006 11:48:56 -0500

washngo (2.9-3) unstable; urgency=low

  * Really add the build-dep this time.  Closes: #377073.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  6 Jul 2006 16:55:15 -0500

washngo (2.9-2) unstable; urgency=low

  * Add build-dep on haddock.  Closes: #377073.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  6 Jul 2006 13:15:47 -0500

washngo (2.9-1) unstable; urgency=low

  * New upstream release
  * Rebuild with GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Wed,  5 Jul 2006 12:43:39 -0500

washngo (2.3.1-4) unstable; urgency=low

  * Applied build patch from François-Denis Gonthier.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  2 Jan 2006 06:20:57 -0600

washngo (2.3.1-3) unstable; urgency=low

  * Fixed doc-base path.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  7 Jun 2005 06:42:08 -0500

washngo (2.3.1-2) unstable; urgency=low

  * Fixed ghc-pkg error when registering (reference to Utility).

 -- John Goerzen <jgoerzen@complete.org>  Tue,  7 Jun 2005 06:39:26 -0500

washngo (2.3.1-1) unstable; urgency=low

  * Initial release.  Closes: #312256.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  6 Jun 2005 23:27:07 -0500
