=== debian/control ===
Source: washngo
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
  , ghc6-prof
  , libghc6-regex-compat-dev
  , libghc6-regex-compat-prof
  , libghc6-parsec2-dev
  , libghc6-parsec2-prof
  , libghc6-ghc-paths-dev
  , libghc6-ghc-paths-prof
Standards-Version: 3.8.4
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/washngo
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/washngo
Homepage: http://www.informatik.uni-freiburg.de/~thiemann/haskell/WASH/

Package: libghc6-wash-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Web Authoring System for Haskell
 WASH is a family of embedded domain specific languages (EDSL) for
 programming Web applications. Each language is embedded in the
 functional language Haskell, which means that it is implemented as a
 combinator library.
 .
 Currently, WASH has the following components:
 .
 wash2hs, a preprocessor for including literal XHTML fragments in the
 style of Haskell Server Pages (HSP)
 .
 WASH/CGI for server-side web scripting
 .
 WASH/HTML for dynamic generation of HTML and XHTML
 .
 WASH/Mail for email processing

Package: libghc6-wash-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Web Authoring System for Haskell; profiling libraries
 WASH is a family of embedded domain specific languages (EDSL) for
 programming Web applications. Each language is embedded in the
 functional language Haskell, which means that it is implemented as a
 combinator library.
 .
 This package provides the library compiled with profiling enabled.

Package: libghc6-wash-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Web Authoring System for Haskell; documentation
 WASH is a family of embedded domain specific languages (EDSL) for
 programming Web applications. Each language is embedded in the
 functional language Haskell, which means that it is implemented as a
 combinator library.
 .
 This package provides the documentation for the library.
